Loading...
Searching...
No Matches
OFintegral_constant< T, Value > Struct Template Reference

OFintegral_constant wraps a static constant of specified type. More...

## Detailed Description

template<typename T, T Value>
struct OFintegral_constant< T, Value >

OFintegral_constant wraps a static constant of specified type.

OFintegral_constant allows to manage compile-time constants as types, which allows to use them as template parameters. The value of an integral constant C can be accessed as C::value.

See also
  http://en.cppreference.com/w/cpp/types/integral_constant for details.

Template Parameters

  T | The integral type to use as base type for the constant, e.g. "int".
  Value | The value of the constant, e.g. 42.

The documentation for this struct was generated from the following file:

- ofstd/include/dcmtk/ofstd/oftraits.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0